### Function

# Clutter create_context

#### Declaration [src]

    ClutterContext*
    clutter_create_context (
      ClutterContextFlags flags,
      ClutterBackendConstructor backend_constructor,
      gpointer user_data,
      GError** error
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`flags`

  Type: `ClutterContextFlags`

  No description available.

`backend_constructor`

  Type: `ClutterBackendConstructor`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterContext`

No description available.

The data is owned by the called function.